App.config(['$stateProvider', '$locationProvider', '$urlRouterProvider', 'RouteHelpersProvider',
function ($stateProvider, $locationProvider, $urlRouterProvider, helper) {
  'use strict';

    
  $locationProvider.html5Mode(false);


  $urlRouterProvider.otherwise('/page/login');

    
  $stateProvider
    .state('app', {
        url: '/app',
        abstract: true,
        templateUrl: helper.basepath('app.html'),
        controller: 'AppController',
        resolve: helper.resolveFor('modernizr', 'icons')
    })
    .state('app.cursos', {
          url: '/cursos',
          title: 'Asignaturas',
          templateUrl: helper.basepath('cursos.html'),
          controller: 'CursoCtrl'
    })
    .state('app.notas-curso', {
          url: '/notas-curso',
          title: 'notas-curso',
          templateUrl: helper.basepath('notas-curso.html'),
          controller: 'NotaCtrl'
    })
    .state('app.inasistencias', {
          url: '/inasistencias',
          title: 'Inasistencias',
          templateUrl: helper.basepath('inasistencias.html'),
          controller: 'InasistenciasCtrl'
    }).state('app.ListaAlumnos', {
          url: '/ListaAlumnos',
          title: 'ListaAlumnos',
          templateUrl: helper.basepath('ListaAlumnos.html')
    }).state('app.horario', {
            url: '/horario',
            title: 'Horario',
            templateUrl: helper.basepath('horario.html'),
            controller: 'CalendarController',
            resolve: helper.resolveFor('jquery-ui', 'jquery-ui-widgets', 'moment', 'fullcalendar')
    }).state('page', {
            url: '/page',
            templateUrl: 'app/pages/page.html',
            resolve: helper.resolveFor('modernizr', 'icons'),
            controller: ["$rootScope", function($rootScope) {
            $rootScope.app.layout.isBoxed = false;
        }]
    }).state('app.eventos', {
                url: '/eventos',
                title: 'Eventos',
                templateUrl: helper.basepath('eventos.html'),
                controller: 'EventosCtrl',
                resolve: helper.resolveFor('datatables', 'datatables-pugins')
    }).state('app.DeudasPendientes', {
                url: '/deudasPendientes',
                title: 'Deudads Pendientes',
                templateUrl: helper.basepath('DeudasPendientes.html'),
                controller: '',
                resolve: helper.resolveFor('datatables', 'datatables-pugins')
            }).state('app.Mensajes', {
                url: '/Mensajes',
                title: 'Mensajes',
                templateUrl: helper.basepath('Mensajes.html'),
                controller: '',
                resolve: helper.resolveFor('datatables', 'datatables-pugins')
            })
    .state('page.login', {
        url: '/login',
        title: "Login",
        templateUrl: 'app/pages/login.html'
    });


}]).config(['$ocLazyLoadProvider', 'APP_REQUIRES', function ($ocLazyLoadProvider, APP_REQUIRES) {
    'use strict';

    $ocLazyLoadProvider.config({
      debug: false,
      events: true,
      modules: APP_REQUIRES.modules
    });

}]).config(['$controllerProvider', '$compileProvider', '$filterProvider', '$provide',
    function ( $controllerProvider, $compileProvider, $filterProvider, $provide) {
      'use strict';
        
      App.controller = $controllerProvider.register;
      App.directive  = $compileProvider.directive;
      App.filter     = $filterProvider.register;
      App.factory    = $provide.factory;
      App.service    = $provide.service;
      App.constant   = $provide.constant;
      App.value      = $provide.value;

}]).config(['$translateProvider', function ($translateProvider) {

    $translateProvider.useStaticFilesLoader({
        prefix : 'app/i18n/',
        suffix : '.json'
    });
    $translateProvider.preferredLanguage('en');
    $translateProvider.useLocalStorage();
    $translateProvider.usePostCompiling(true);

}]).config(['cfpLoadingBarProvider', function(cfpLoadingBarProvider) {
    cfpLoadingBarProvider.includeBar = true;
    cfpLoadingBarProvider.includeSpinner = false;
    cfpLoadingBarProvider.latencyThreshold = 500;
    cfpLoadingBarProvider.parentSelector = '.wrapper > section';
}]).config(['$tooltipProvider', function ($tooltipProvider) {

    $tooltipProvider.options({appendToBody: true});

}])
;
