App.controller('CursoCtrl', ['$http', '$scope', '$state', 'APP_SETTINGS', '$modal', 'periodoService', 'deudaPendienteService', 'cursoService', 'cfpLoadingBar',
    function ($http, $scope, $state, app_settings, $modal, periodoService, deudaPendienteService, cursoService, cfpLoadingBar) {

        cfpLoadingBar.start();
        var url = app_settings.serviceUrl("/Curso/ObtenerAsignaturas_Alumno");
        var Periodo = this;
        var EstudianteID = window.localStorage.getItem("EstudianteID");
        //alert(EstudianteID);
        //console.log(EstudianteID);

        Periodo.actual = "";
        $scope.objCursos = [];
        $scope.GetCursos = function () {
            $http.get(url, {
                params: {
                    EstudianteId: EstudianteID
                }
            }).success(
                function (data) {
                    if (data.length == 0) {
                        $state.go('page.login');
                    }
                    //console.log(data);
                    $scope.objCursos = data;
                    Periodo.actual = data[0].PeriodoActual;
                    periodoService.addPeriodo(Periodo.actual);
                    cfpLoadingBar.complete();

                }).error(function () {
                $modal.open({
                    templateUrl: '/myModalError.html',
                    controller: ModalInstanceErrorCtrl,
                    size: 'sm'
                });
            })
        }

        this.SetIdSeccion = function (SeccionID, NombreCurso) {
                    
            cursoService.addNomCurso(NombreCurso);
            sessionStorage.SeccionID = SeccionID;
            //$state.go('app.notas-curso');
            if (deudaPendienteService.getDeudaPendiente() == true) {

                $modal.open({
                    templateUrl: '/myModalContent.html',
                    controller: ModalInstanceCtrl,
                    size: 'sm'
                });

            } else if (deudaPendienteService.getDeudaPendiente() == false) {
                cursoService.addNomCurso(NombreCurso);
                sessionStorage.SeccionID = SeccionID;
                $state.go('app.notas-curso');
            }
        }

        this.SetIdSeccionListAlumnos = function (SeccionID, NombreCurso) {
            cursoService.addNomCurso(NombreCurso);
            sessionStorage.SeccionID = SeccionID;
            $state.go('app.ListaAlumnos');
        }

        var ModalInstanceCtrl = function ($scope, $modalInstance) {

            $modalInstance.opened.then(function () {});

            $scope.ok = function () {
                $modalInstance.close('closed');
            };

            $scope.cancel = function () {
                $modalInstance.dismiss('cancel');
            };

        };

        var ModalInstanceErrorCtrl = function ($scope, $modalInstance) {
            $modalInstance.opened.then(function () {

                $rootScope.MensajeErrorModal = "Sucedió un error, inténtelo más tarde";
            });
            $scope.cancel = function () {
                $modalInstance.dismiss('cancel');
            };
        };
}])