App.controller('EventosCtrl', ['$rootScope', '$http', '$scope', '$timeout', '$modal', '$sce', 'APP_SETTINGS', 'periodoService', 'cfpLoadingBar',
    function ($rootScope, $http, $scope, $timeout, $modal, $sce, app_settings, periodoService, cfpLoadingBar) {

        cfpLoadingBar.start();
        $rootScope.PeriodoActual = periodoService.getPeriodo();

        var EstudianteID = window.localStorage.getItem("EstudianteID");
        var urlObtenerEventos = app_settings.serviceUrl('/Evento/ObtenerEventos?EstudianteId=' + EstudianteID);

        $scope.objEventos = [];
        $scope.ObtenerEventos = function () {
            $.ajax({
                url: urlObtenerEventos,
                type: 'GET',
                success: function (DatosEventos) {
                    //console.log(DatosEventos);
                    $scope.objEventos = DatosEventos;
                    cfpLoadingBar.complete();
                },
                error: function () {
                    $modal.open({
                        templateUrl: '/myModalError.html',
                        controller: ModalInstanceErrorCtrl,
                        size: 'sm'
                    });
                }

            });
        }

        this.MostrarEventoDetalle = function (Tema) {
            $modal.open({
                templateUrl: '/myModalContent.html',
                controller: ModalInstanceCtrl,
                size: 'sm',
                resolve: {
                    data: function () {
                        return Tema;
                    }
                }
            });
        }

        var ModalInstanceCtrl = function ($scope, $modalInstance, data) {
            $modalInstance.opened.then(function () {
                console.log(data);
                $rootScope.Html = $sce.trustAsHtml(data);
            });
            
            $scope.cancel = function () {
                $modalInstance.dismiss('cancel');
            };
        };
        var ModalInstanceErrorCtrl = function ($scope, $modalInstance) {
            $modalInstance.opened.then(function () {

                $rootScope.MensajeErrorModal = "Sucedió un error, inténtelo más tarde";
            });
            $scope.cancel = function () {
                $modalInstance.dismiss('cancel');
            };
        };
}])